package com.zd.laboratory.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 违规记录VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("违规记录表")
public class LabHazardColumnarVO {

    @ApiModelProperty("危险源id")
    private Long id;

    @ApiModelProperty("危险源数量")
    private Integer num;

    @ApiModelProperty("危险源总量")
    private Integer totalNum;

    @ApiModelProperty("危险源名称")
    private String chName;

    @ApiModelProperty("危险源占比百分比")
    private String percentage;

    @ApiModelProperty("危险源占比数量")
    private String percentageNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getPercentage() {
        return percentage;
    }

    public void setPercentage(String percentage) {
        this.percentage = percentage;
    }

    public String getPercentageNum() {
        return percentageNum;
    }

    public void setPercentageNum(String percentageNum) {
        this.percentageNum = percentageNum;
    }
}
